# Generated from trefoil-0.1.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name trefoil

Name: rubygem-%{gem_name}
Version: 0.1.1
Release: 1%{?dist}
Summary: 4chan Public API Client
License: MIT
URL: https://github.com/swarley/trefoil-rb
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 3.8.0
# BuildRequires: rubygem(rspec) < 3.9
# BuildRequires: rubygem(rubocop) >= 0.65
# BuildRequires: rubygem(rubocop) < 1
# BuildRequires: rubygem(webmock) >= 3.4.0
# BuildRequires: rubygem(webmock) < 3.5
# BuildRequires: rubygem(yard) >= 0.9.9
# BuildRequires: rubygem(yard) < 0.10
BuildArch: noarch

%description
A client for accessing the 4chan public api.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.codeclimate.yml
%{gem_instdir}/.gitattributes
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rubocop.yml
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%{gem_instdir}/Rakefile
%{gem_instdir}/trefoil.gemspec

%changelog
* Thu Sep 16 2021 mockbuilder - 0.1.1-1
- Initial package
